# dotfiles

My dotfiles for both Arch Linux and Windows

## Useage on Linux

### Checking out the repo

```sh
git clone --bare gitea@git.theflyingfool.com:theflyingfool/dotfiles.git $HOME/.dot
alias dot='/usr/bin/git --git-dir="$HOME/.dot/" --work-tree="$HOME"'
dot checkout
dot config --local status.showUntrackedFiles no
source ~/.zshrc
```

If there are conflicts:

```sh
mkdir -p .dot-backup && \
dot checkout 2>&1 | egrep "\s+\." | awk {'print $1'} | \
xargs -I{} mv {} .dot-backup/{}
dot checkout
```

### Managing dotfiles

**Adding or Modifying files**

```sh
dot add .zshrc
dot commit -m "Update .zshrc"
dot push
```